do

--create an instance of the IADS
redIADS = SkynetIADS:create('RED')

--add all units with unit name beginning with 'EW' to the IADS:
redIADS:addEarlyWarningRadarsByPrefix('EW')

--add all groups begining with group name 'SAM' to the IADS:
redIADS:addSAMSitesByPrefix('SAM')

--this SAM site will go live at 70% of its max search range:
redIADS:getSAMSitesByPrefix('SAM'):setEngagementZone(SkynetIADSAbstractRadarElement.GO_LIVE_WHEN_IN_SEARCH_RANGE):setGoLiveRangeInPercent(70)

--all SA-20A sites shall act as EW sites, meaning their radars will be on all the time:
redIADS:getSAMSiteByGroupName('SAM_SA-20A_1'):setActAsEW(true)

--all SA-20A sites shall act as EW sites, meaning their radars will be on all the time:
redIADS:getSAMSiteByGroupName('SAM_SA-20A_2'):setActAsEW(true)

--set the sa15 as point defence for the SA-20 site, we set it to always react to a HARM so we can demonstrate the point defence mechanism in Skynet
local sa15 = redIADS:getSAMSiteByGroupName('SAM_SA-15_1')
redIADS:getSAMSiteByGroupName('SAM_SA-20A_1'):addPointDefence(sa15):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

--set the sa15 as point defence for the SA-20 site, we set it to always react to a HARM so we can demonstrate the point defence mechanism in Skynet
local sa15 = redIADS:getSAMSiteByGroupName('SAM_SA-15_2')
redIADS:getSAMSiteByGroupName('SAM_SA-20A_2'):addPointDefence(sa15):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

-- activate the IADS
redIADS:activate()

--add the jammer
local jammer = SkynetIADSJammer:create(Unit.getByName('Prowler'), redIADS)
jammer:masterArmOn()	

end